#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: monad-control
version: 1.0.2.2
id: monad-control-1.0.2.2-IzU5oITMXX63Y9dO6OJIj
key: monad-control-1.0.2.2-IzU5oITMXX63Y9dO6OJIj
license: BSD3
copyright: (c) 2011 Bas van Dijk, Anders Kaseorg
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
homepage: https://github.com/basvandijk/monad-control
synopsis: Lift control operations, like exception catching, through monad transformers
description:
    This package defines the type class @MonadBaseControl@, a subset of
    @MonadBase@ into which generic control operations such as @catch@ can be
    lifted from @IO@ or any other base monad. Instances are based on monad
    transformers in @MonadTransControl@, which includes all standard monad
    transformers in the @transformers@ library except @ContT@.
    .
    See the <http://hackage.haskell.org/package/lifted-base lifted-base>
    package which uses @monad-control@ to lift @IO@
    operations from the @base@ library (like @catch@ or @bracket@) into any monad
    that is an instance of @MonadBase@ or @MonadBaseControl@.
    .
    Note that this package is a rewrite of Anders Kaseorg'\''s @monad-peel@
    library. The main difference is that this package provides CPS style operators
    and exploits the @RankNTypes@ and @TypeFamilies@ language extensions to
    simplify and speedup most definitions.
category: Control
author: Bas van Dijk, Anders Kaseorg
exposed: True
indefinite: False
exposed-modules:
    Control.Monad.Trans.Control
abi: dfad8947f11740596f17fadd714d5078
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/monad-control-1.0.2.2
library-dirs: /usr/lib/ghc-8.2.1/site-local/monad-control-1.0.2.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/monad-control-1.0.2.2
hs-libraries: HSmonad-control-1.0.2.2-IzU5oITMXX63Y9dO6OJIj
depends:
    base-4.10.0.0 stm-2.4.4.1-4JDnVtQYo787gU0ccBstsJ
    transformers-0.5.2.0 transformers-base-0.4.4-4U8VJPfvIYIDHbweeHN2Ld
    transformers-compat-0.5.1.4-8ofY1OHzPhX5dvYk512o2v
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             stm-2.4.4.1-4JDnVtQYo787gU0ccBstsJ=b0109b1e29ac5bcdebe44e0ece53e651
             transformers-0.5.2.0=2645d250dd615ce454f807270041c5ea
             transformers-base-0.4.4-4U8VJPfvIYIDHbweeHN2Ld=488e16d42785d73d2eee418d7735d08a
             transformers-compat-0.5.1.4-8ofY1OHzPhX5dvYk512o2v=be80f3d454efcaa9a115f9c6da29209c
haddock-interfaces: /usr/share/doc/haskell-monad-control/html/monad-control.haddock
haddock-html: /usr/share/doc/haskell-monad-control/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

